.TH "stable_cov" 2 "  17 June 1997" "Fractales Group" "Scilab Function"
.so ../sci.an
.SH NAME
stable_cov - Covariation of two jointly symmetric Alpha-Stable random variables
.sp
Author: Lotfi Belkacem
.sp
This routine estimates the \fIcovariation\fP of two jointly symmetric alpha-stable random variables. 
.sp
.sp
.SH Usage
\f(CR[\fPcov\f(CR]\fP=stable_cov(data1,data2)
.SH Input parameters


.RS

.TP
o 
\fBdata1\fP : real vector \f(CR[\fPsize,1\f(CR]\fP 
corresponding to the the first data sample. 

.TP
o 
\fBdata2\fP : real vector \f(CR[\fPsize,1\f(CR]\fP 
corresponding to the second data sample.
.RE

.SH Output parameters


.RS

.TP
o 
\fBsm\fP : real scalar 
corresponding to the estimation  the covariation of data1 on data2.
.RE

.SH Description
The covariation of two jointly symmetric alpha stable random variables is defined only for alpha between 1 and 2. It designed to replace the covariance when the latter is not defined (alpha<2). Unfortunately, it lacks some of the desirable properties of the covariance (not symmetric, ...). It is however, a useful quantity and appears naturally in many settings, for example, in the context of linear regression..SH Example
for two given signals  S1 and S2,
cov=stable_cov(S1,S2);
estimates the covariation of S1 on S2.
