.TH "strfbm" 2 " February 20th 1998" "Fractales Group" "Scilab Function"
.so ../sci.an
.SH NAME
strfbm - Structure Function of a Brownian Field 
.sp
Author: B. Pesquet-Popescu (ENS-Cachan)
.sp
Creates the structure function of an isotropic fBm
.sp
.sp
.SH Usage
.sp
.ft CR
.nf
[Y] = strfbm(x,y,H)
.fi 
.ec
.ft P
.sp
.SH Input parameters


.RS

.TP
o 
\fB x \fP : Real vector \f(CR[\fP1,N\f(CR]\fP
vertical coordinate

.TP
o 
\fB y \fP : Real scalar \f(CR[\fP1,M\f(CR]\fP
horizontal coordinate

.TP
o 
\fB H \fP : Real in \f(CR[\fP0,1\f(CR]\fP
Hurst parameter
.RE

.SH Output parameters


.RS

.TP
o 
\fB Y \fP : Matrix  \f(CR[\fPN,M\f(CR]\fP 
Matrix containing the values of the structure function
.RE

.SH See also:
synth2
.SH Example:
.sp
.ft CR
.nf
x = 1:128 ;
y = 1:128 ;
[Y] = strfbm(x,y,0.8) ;
.fi 
.ec
.ft P
.sp
