.TH fec 2 "April 1993" "Scilab Group" "Scilab Function"
.so ../sci.an
.SH NAME
fec - contour level of a function defined on a triangular mesh 
.SH CALLING SEQUENCE
.nf
fec(x,y,triangles,func,no,Ntr,strflag,legend,brect,aaint) 
.fi
.SH PARAMETERS
.TP 10
x,y
: two vectors of size \fVno\fR, \fV(x(i),y(i))\fR gives the coordinates of node 
\fVi\fR
.TP
func
: a vector of size \fVno\fR : \fVfunc(i)\fR
gives the value of the function for which we want the level curves.
.TP 
triangles 
: is a \fV[Ntr,5]\fR matrix. Each line of \fVtriangles\fR specifies a triangle of the 
mesh \fVtriangle(j) = [number,node1,node2,node3,flag]\fR.
\fVnode1,node2,node3\fR are the number of the nodes which constitutes the triangle. number is the number of the triangle and flag is an integer not used in the fec function 
.TP
rest
: for the remaining arguments \fVstrflag,legend,brect,aint\fR, see plot2d 
.SH DESCRIPTION 
See the demo files \fVdemos/fec\fR.

\fVfec.ex1\fR is a simple demo file in which a mesh and a function 
on that mesh is completely built in Scilab syntax 

\fVfec.ex2\fR is an example for which the mesh and the function value where 
computed by an external mesh builder (amdba type mesh) and an external program.
A set of macros ( provided in file \fVmacros.sci\fR) can be used to read the 
data files in Scilab and plot the results. 
.SH SEE ALSO
Sfgrayplot, Sgrayplot
