.TH articul 1 "September 1996" "Scilab Group" "Scilab function"
.so ../sci.an
.SH NAME
articul - finds one or more articulation points 
.SH CALLING SEQUENCE
.nf
nart = articul([i],g)
.fi
.SH PARAMETERS
.TP 2
g
: graph list 
.TP 2
i
: integer 
.TP 5
nart
: integer row vector
.SH DESCRIPTION
\fVarticul\fR finds one or more articulation points (if they exist) of
the graph \fVg\fR. \fVnart\fR is the row vector of numbers of articulation
nodes: deleting one of these nodes increases the number of connected 
components of the graph.
\fVi\fR is the optional node number from which the algorithm starts. 
The default is 1. Note that the result depends strongly on this starting
node.
.SH EXAMPLE
.nf
ta=[2  1 3 2 2 4 4 5 6 7 8 8 9 10 10 10 10 11 12 13 14 15 16 17 17];
he=[1 10 2 5 7 3 2 4 5 8 6 9 7  7 11 13 15 12 13 14 11 16 17 14 15];
g=make_graph('foo',1,17,ta,he);
g('node_x')=[283 163 63 57 164 164 273 271 339 384 504 513 439 623 631 757 642];
g('node_y')=[59 133 223 318 227 319 221 324 432 141 209 319 428 443 187 151 301];
g('node_diam')=[1:(g('node_number'))]+20;
show_graph(g);
nart = articul(g)
show_nodes(nart);
.fi
