.TH pvm_delhosts 1 "May 1998" "Scilab // Group" "Scilab function"
.so ../sci.an
.SH NAME
pvm_delhosts - deletes hosts from the virtual machine.
.SH CALLING SEQUENCE
.nf
infos = pvm_delhosts(hosts)
.fi
.SH PARAMETERS
.TP 5
hosts
: row of strings, containing the names of the machines to be deleted.
.TP 4
infos
: row of integers, contains the
status code returned by the routine for the individual hosts.
.SH DESCRIPTION
\fVpvm_delhosts\fR deletes the computers of
.I hosts
from the existing configuration of computers making up the virtual
machine.
All PVM processes and the pvmd running on these computers are
killed as the computer is deleted.
The array
.I infos
can be checked to determine the status of each host.
Values less than zero indicate an error,
while zero values indicate a success.

.PP
If a host fails, the PVM system will continue to function and will
automatically delete this host from the virtual machine.
It is the responsibility of the
application developer to make his application tolerant of host failure.

.SH EXAMPLE
.nf
info = pvm_delhosts(["isostar","loop"])
.fi

.SH SEE ALSO
pvm_addhosts
