.TH artest 1 "April 1993" "Scilab Group" "Scilab Function"
.so ../sci.an
.SH NAME
artest - arnold dynamical system
.SH CALLING SEQUENCE 
.nf
artest(f_l,[odem,xdim,npts])
arnold(t,x)
iarf([a])
.fi
.SH PARAMETERS
.TP
f_l 
: can be "arnold" or arnold. It is the name of the external for the arnold system. If 
\fVf_l\fR is set to "arnold" a Fortran coded version of the arnold system where a(1:6)=1 
will be used and if \fVf_l\fR is set to arnold a Scilab coded version will be used . 
\fVarnold\fR is a Scilab macro coding the Arnold system. This macro is loaded when calling \fVartest\fR.
.TP
iarf 
: is used to fix the values of \fVa\fR in the Scilab coded case. \fVa\fR is a vector of size 6.
.TP
odem,xdim,npts 
: are optional arguments. Their meaning and syntax can be found in the \fVportr3d\fR  help
.LP
.SH DESCRIPTION
A call to the function \fVartest()\fR will interactively 
display a phase portrait of  a the following dynamical system :
.nf
      ydot(1)=a(1)*cos(y(2)) +a(2)*sin(y(3))
      ydot(2)=a(3)*cos(y(3)) +a(4)*sin(y(1))
      ydot(3)=a(5)*cos(y(1)) +a(6)*sin(y(2))
.fi
.SH SEE ALSO
portr3d, ode, chaintest, lotest




