.TH "set" 2 " 04 June 1998" "Fractales Group" "Scilab Function"
.so ../sci.an
.SH NAME
set - set an UI object property value
.sp
Author: Bertrand Guiheneuf
.sp
set a property value of a  User Interface object.
.sp
.sp
.SH Usage
get(h,prop,val)
.SH Input parameters
.nr ll +1
.nr t\n(ll 0
.if \n(ll>1 .RS
.nr bi 1
.TP
o 
 \fBh\fP : integer
the handle of the object which to set a property up
.nr bi 1
.TP
o 
 \fBprop\fP : character string
name of the property
.nr bi 1
.TP
o 
 \fBval\fP : scilab object
value to give to the property
.if \n(ll>1 .RE
.nr ll -1
.SH Output parameter
None
.SH Description
This routine can be used to set a GUI object specified property. 
Property name are character strings like 'style', 'position' ....
The type of the value field depends on the property
one aims at setting. For example, the 'style' property which represents
the kind of Object the UI control is (ie button, label, list, ..... ) will
be represented as a string. On the contrary, the 'position' property, which 
represents the geometrical aspect of the UI control, will be coded as 
a \f(CR[\fP1,4\f(CR]\fP vector. 
.SH EXAMPLE
.nf
h=uicontrol('string', 'Button');
// Opens a window with a  button.
set(h,'position',[ 50 50 100 100]);
// set the geometric aspect of the button
close();
// close figure
.fi 
.ec
.ft P
.sp
.SH See also
uicontrol, uimenu, get
